## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate arbitrary

Name:           rust-arbitrary
Version:        1.3.0
Release:        %autorelease
Summary:        Trait for generating structured data from unstructured data

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/arbitrary
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
The trait for generating structured data from unstructured data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive_arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive_arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "derive_arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+derive_arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# * remove accidental executable bit from test sources
chmod -x tests/derive.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-1
- Update to version 1.3.0; Fixes RHBZ#2177901

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.3-1
- Update to version 1.2.3; Fixes RHBZ#2157998

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2136670

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.7-1
- Update to version 1.1.7; Fixes RHBZ#2132417

* Sat Sep 10 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.6-1
- Update to version 1.1.6; Fixes RHBZ#2122377

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.3-1
- Update to version 1.1.3; Fixes RHBZ#2097040

* Fri Feb 11 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2052764

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 15 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#2023472

* Sat Aug 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#1997879

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.
- Fixes RHBZ#1962844

* Wed Apr 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0.

* Sun Feb 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.7-1
- Update to version 0.4.7.
- Fixes RHBZ#1888421

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.4.6-1
- Update to 0.4.6

* Mon Aug 17 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.5-3
- Disable check to remove optional derive_arbitrary buildreq

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 0.4.5-1
- Update to 0.4.5

* Mon May 18 10:26:58 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 17:02:50 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- Initial package

